Bug 163642 - juk missing from kdemultimedia
juk missing from kdemultimedia
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2005-07-19 15:44 EDT by Pepijn Schmitz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-19 16:26:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pepijn Schmitz 2005-07-19 15:44:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
kdemultimedia-3.4.1-0.fc4.1 is missing the JuK audio player program. The kdemultimedia RPM from the KDE site does include it. No mention of the reason why juk might be missing is made anywhere in the documentation, nor is a separate RPM to be found. All documentation I can find seems to be assuming that JuK is included with FC4, but it isn't. What's going on? How am I supposed to run/install JuK? Why is this not documented?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install FC4, including kdemultimedia
2. observe that JuK is missing

Additional info:
Comment 1 Ngo Than 2005-07-19 16:26:39 EDT
The reason why Juk is not included in FC is the mp3 patent issue in taglib
library. It cannot be included ATM, and it's needed to build JuK in kdemultimedia.

If you want to have Juk, just install taglib from freshmeat and enable juk
(%define juk 1, %define build_mpeglib 1) and rebuild kdemultimedia.

Comment 2 Pepijn Schmitz 2005-07-20 04:24:34 EDT
First of all, don't you think it would be handy to explain this somewhere? Such
as in the release notes? Or install a stub, which explains the situation?

Currently the situation is that it's just mysteriously missing without _any_
indication why, with everything you can find on the subject assuming that JuK is
included with kdemultimedia. At the very least this is extremely

Also, "just" install taglib from freshmeat and enable juk
(%define juk 1, %define build_mpeglib 1) and rebuild kdemultimedia?!?!
Comment 3 Michael Schwendt 2005-08-02 09:58:23 EDT
I believe there is no patent issue with taglib. The mp3 patent is on mp3
encoding/decoding, not on ID3 tags.

  ID3v2: http://www.id3.org/easy.html
  ID3v1: http://www.id3.org/id3v1.html

Current kdemultimedia package won't build Juk correctly. Also see bug 145965.

Note You need to log in before you can comment on or make changes to this bug.